
<?php
/*Skrypt pochodzi z ksi±¿ki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function readArray()
{
  $texts = array();
  if(!$fd = @fopen("porady.txt", "r")) return false;
  $counter = 0;
  while (!feof ($fd)){
    $str = trim(fgets($fd));
    if($str != "")
      $texts[$counter++] = $str;
  }
  return $texts;
}

function getText()
{
  if(($arr = readArray()) != false){
    srand((float) microtime() * 10000000);
    return($arr[array_rand($arr)]);
  }
  else return "Brak porady dnia na dzisiaj...";
}
echo(getText());
?>